Package org.opengis.cite.iso19142.transaction

# Class DeleteTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.transaction.TransactionFixture
org.opengis.cite.iso19142.transaction.DeleteTests

public class DeleteTests extends TransactionFixture
Tests the response to a Transaction request that includes one or more delete actions.

See Also:
  - "ISO 19142:2010, cl. 15.2.7: Delete action"

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.transaction.TransactionFixture

  `dataSampler, model`

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteFeature(ProtocolBinding binding, QName featureType)`
  [`Test`] Submits a Transaction request to delete an existing feature instance.
  `void`
  `restoreDeletedFeatures()`
  Restores the WFS data store to its previous state by replacing all deleted features with their previous representations.

  ### Methods inherited from class org.opengis.cite.iso19142.transaction.TransactionFixture

  `buildTransactionRequest, initTransactionFixture, setModel, trxTestParameters`

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeleteTests

    public DeleteTests()

- ## Method Details

  - ### restoreDeletedFeatures

    @AfterClass public void restoreDeletedFeatures()
    Restores the WFS data store to its previous state by replacing all deleted features with their previous representations.

  - ### deleteFeature

    public void deleteFeature(ProtocolBinding binding, QName featureType)
    [`Test`] Submits a Transaction request to delete an existing feature instance. The test is run for all supported transaction request bindings and feature types. The response entity (wfs:TransactionResponse) must be schema-valid and the wfs:TransactionSummary element shall report the correct number of deleted features (totalDeleted).
    Parameters:
      `binding` - A supported message binding (POST preferred over SOAP).
      `featureType` - A QName representing the qualified name of some feature type.
    See Also:
      - "ISO 19142:2010, cl. 15.3.3: TransactionSummary element"